osgGA::GUIEventAdapter::TabletPen Struct Reference

`#include <GUIEventAdapter>`

## Public Member Functions

| TabletPen ()
| TabletPen (const TabletPen &rhs)

## Public Attributes

float | pressure
float | tiltX
float | tiltY
float | rotation
TabletPointerType | tabletPointerType

## Constructor & Destructor Documentation

## TabletPen() [1/2]

osgGA::GUIEventAdapter::TabletPen::TabletPen | ( |  | ) |

inline

References pressure, rotation, tabletPointerType, tiltX, tiltY, and osgGA::GUIEventAdapter::UNKNOWN.

Referenced by TabletPen().

## TabletPen() [2/2]

osgGA::GUIEventAdapter::TabletPen::TabletPen | ( | const TabletPen & | rhs | ) |

inline

References pressure, rotation, TabletPen(), tabletPointerType, tiltX, and tiltY.

## Member Data Documentation

## pressure

float osgGA::GUIEventAdapter::TabletPen::pressure

Referenced by TabletPen(), and TabletPen().

## rotation

float osgGA::GUIEventAdapter::TabletPen::rotation

Referenced by TabletPen(), and TabletPen().

## tabletPointerType

TabletPointerType osgGA::GUIEventAdapter::TabletPen::tabletPointerType

Referenced by TabletPen(), and TabletPen().

## tiltX

float osgGA::GUIEventAdapter::TabletPen::tiltX

Referenced by TabletPen(), and TabletPen().

## tiltY

float osgGA::GUIEventAdapter::TabletPen::tiltY

Referenced by TabletPen(), and TabletPen().

The documentation for this struct was generated from the following file:

- GUIEventAdapter